Re: [OMPI users] A strange warning on Cray XC with Opemmpi-4.00

2019-01-07 Thread Udayanga Wickramasinghe
Thanks, that actually worked! Best, Udayanga On Mon, Jan 7, 2019 at 8:23 AM Bennet Fauber wrote: > Used to be that you could put default MCA settings in > OMPI_ROOT/etc/openmpi-mca-params.conf. > > btl_openib_allow_ib=1 > > You could try that. > > -- bennet > > > > On Mon, Jan 7, 2019 at

Re: [OMPI users] A strange warning on Cray XC with Opemmpi-4.00

2019-01-07 Thread Bennet Fauber
Used to be that you could put default MCA settings in OMPI_ROOT/etc/openmpi-mca-params.conf. btl_openib_allow_ib=1 You could try that. -- bennet On Mon, Jan 7, 2019 at 8:16 AM Udayanga Wickramasinghe wrote: > > Hi Salim, > Thank you. Yeah, I noticed warnings would vanish by turning on

Re: [OMPI users] A strange warning on Cray XC with Opemmpi-4.00

2019-01-07 Thread Udayanga Wickramasinghe
Hi Salim, Thank you. Yeah, I noticed warnings would vanish by turning on btl_openib_allow_ib -- but since this is quite annoying I am wondering if there is any other way to suppress this by configuration. Best, Udayanga On Mon, Jan 7, 2019 at 7:33 AM Salim Jamal-Eddine <

Re: [OMPI users] A strange warning on Cray XC with Opemmpi-4.00

2019-01-07 Thread Salim Jamal-Eddine
Hi Udayanga, I had the same issue, the default behavior of OpenMpi4.0.0 is to use UCX.. add “–mca btl_openib_allow_ib 1” and everything should be fine. Regards, Salim Jamal-Eddine Lead Engineering Labs Supervisor Industrial & Mechanical Engineering Department, Byblos Campus School of